Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1906)

Unified Diff: depot_tools/ninja

Issue 9214014: ninja depot_tools script: Call ninja-mac on mac. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/
Patch Set: '' Created 8 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: depot_tools/ninja
===================================================================
--- depot_tools/ninja (revision 117751)
+++ depot_tools/ninja (working copy)
@@ -1,3 +1,13 @@
-#!/bin/sh
+#!/bin/bash
-exec ninja-linux64 "$@"
+OS="$(uname -s)"
+
+if [ "${OS}" = "Linux" ]; then
+ exec ninja-linux64 "$@"
+elif [ "${OS}" = "Darwin" ]; then
+ exec ninja-mac "$@"
+else
+ echo "Unsupported OS ${OS}"
+ exit 1
+fi
+
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698